package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt196Creator = (MT196Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt196Creator.getMtDateTag11a();
        mt196Creator.set("11S", tag11aValue);
    }
}
